package storage

import "git.thisco.de/vbatts/image-storage-interfaces/driver"

// Drivers returns a sorted list of the registered drivers
func Drivers() []string {
	return nil
}

// Register makes a database driver available by the provided name. If Register
// is called twice with the same name or if driver is nil, it panics.
func Register(name string, driver driver.Driver) {
}

// OpenHandle a storage handle using the specified storage driver name and a
// rootPath for that driver to operate in.
func OpenHandle(name string, rootPath string) (*S, error) {
	return nil, nil
}

// S is a storage handle for the storage and management of filesystem trees.
//
// Operations on an handle instance are intended to be safe for concurrent use.
// Though this would likely not be safe for two competing instances to be
// operating on the same rootPath (more thought needed here).
type S struct {
}
